%if 0%{?fedora} < 17
%{!?ruby_sitearch: %global ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"] ')}
%endif

Name:           saslwrapper
Version:        0.16
Release:        2%{?dist}
Summary:        Ruby and Python wrappers for the Cyrus SASL library
Group:          System Environment/Libraries
License:        ASL 2.0
URL:            http://qpid.apache.org/
# svn export -r 1346225 https://svn.apache.org/repos/asf/qpid/tags/0.16/qpid/extras/sasl saslwrapper-0.16
# tar -cJf saslwrapper-0.16.tar.xz saslwrapper-0.16
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  doxygen
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  ruby-devel
BuildRequires:  python2-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  swig
# ./configure checks for these, even though it probably needn't
BuildRequires:  /usr/bin/python
BuildRequires:  /usr/bin/ruby

%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$
%if 0%{?fedora} < 17
%filter_provides_in %{ruby_sitearch}/.*\.so$
%else
%filter_provides_in %{ruby_vendorarchdir}/.*\.so$
%endif
%filter_setup
}

%description
A simple wrapper for Cyrus SASL that permits easy binding into
scripting languages.

%package devel
Summary: Header files for developing with saslwrapper
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The header files for developing with saslwrapper.

%package -n python-saslwrapper
Summary: Python bindings for saslwrapper
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description -n python-saslwrapper
Python bindings for the saslwrapper library.

%package -n ruby-saslwrapper
Summary: Ruby bindings for saslwrapper
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: ruby

%description -n ruby-saslwrapper
Ruby bindings for the saslwrapper library.

%prep
%setup -q

%build
./bootstrap
%if 0%{?fedora} >= 17
export RUBY_LIB_ARCH="%{ruby_vendorarchdir}"
%endif
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name "*.la" | xargs rm

%check
make check

%files
%doc LICENSE
%{_libdir}/libsaslwrapper.so.*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files devel
%{_libdir}/libsaslwrapper.so
%{_includedir}/saslwrapper.h

%files -n python-saslwrapper
%{python_sitearch}/saslwrapper.py*
%{python_sitearch}/_saslwrapper.so

%files -n ruby-saslwrapper
%if 0%{?fedora} < 17
%{ruby_sitearch}/saslwrapper.so
%else
%{ruby_vendorarchdir}/saslwrapper.so
%endif

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun  5 2012 Dan Callaghan <dcallagh@redhat.com> - 0.16-1
- Initial version, based on 0.14-1.el6 SRPM.
